<?php
global $pixia_frontend_options;
//OVERRIDE OPTIONS - ONLY FOR PREVIEW MODE
if (INJECT_STYLE)
{
    include(ABSPATH . 'wp-content/plugins/color-manager-pixia/style_header.php');
}
?>
<?php function pixia_comment($comment, $args, $depth) {
$GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?>>
    <article id="comment-<?php comment_ID(); ?>" class="cf single_comment">
        <header class="comment-author vcard">
            <?php echo get_avatar($comment, $size = '64'); ?>
        </header>
        <div class="comment_floated">
            <?php printf(__('<cite class="fn author_name left_floated">%s</cite>', 'pixia'), get_comment_author_link()); ?>
            <span class="pir_divider_onbg left_floated"></span>
            <time datetime="<?php echo comment_date('c'); ?>" class="comment_date special_italic_medium left_floated">
                <?php
                echo get_comment_date();
                echo " @ ";
                echo get_comment_time();
                ?>
            </time>
            <span class="pir_divider_onbg left_floated"></span>
            <?php edit_comment_link(__('&nbsp;(Edit)', 'pixia'), '', ''); ?>
            <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __('Reply', 'pixia')))); ?>

            <?php if ($comment->comment_approved == '0') { ?>
                <div class="alert alert-block fade in">
                    <a class="close" data-dismiss="alert">&times;</a>
                    <p><?php _e('Your comment is awaiting moderation.', 'pixia'); ?></p>
                </div>
            <?php } ?>
            <br />
            <section class="comment comment_text left_floated">
                <?php comment_text() ?>
            </section>


        </div>
    </article>
    <?php } ?>

    <?php if (post_password_required()) { ?>
        <section id="comments">
            <div class="alert alert-block fade in">
                <a class="close" data-dismiss="alert">&times;</a>
                <p><?php _e('This post is password protected. Enter the password to view comments.', 'pixia'); ?></p>
            </div>
        </section><!-- /#comments -->
        <?php
        return;
    } ?>

    <?php if (have_comments()) { ?>
        <section id="comments">
            <div class="h3_title">
                <h3><header_font>
                        <?php printf(_n(__($pixia_frontend_options['comments_one_response'], 'pixia').' '.__($pixia_frontend_options['comments_on_separator'], 'pixia').' &ldquo;%2$s&rdquo;', '%1$s '.__($pixia_frontend_options['comments_oneplus_response'], 'pixia').' '.__($pixia_frontend_options['comments_on_separator'], 'pixia'). ' &ldquo;%2$s&rdquo;', get_comments_number(), 'pixia'), number_format_i18n(get_comments_number()), get_the_title()); ?>
                    </header_font></h3>
            </div>
            <div class="simple_line_onbg"></div>
            <ol class="commentlist">
                <?php wp_list_comments(array('callback' => 'pixia_comment')); ?>
            </ol>

            <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) { // are there comments to navigate through ?>
                <nav id="comments-nav" class="pager">
                    <div class="previous"><?php previous_comments_link(__('&larr; Older comments', 'pixia')); ?></div>
                    <div class="next"><?php next_comments_link(__('Newer comments &rarr;', 'pixia')); ?></div>
                </nav>

            <?php } // check for comment navigation ?>

            <?php if (!comments_open() && !is_page() && post_type_supports(get_post_type(), 'comments')) { ?>
                <div class="alert alert-block fade in">
                    <p><?php _e($pixia_frontend_options['comments_closed'], 'pixia'); ?></p>
                </div>
            <?php } ?>
        </section><!-- /#comments -->
        <div class="clearfix"></div>
    <?php } ?>

    <?php if (!have_comments() && !comments_open() && !is_page() && post_type_supports(get_post_type(), 'comments')) { ?>
        <section id="comments">
            <div class="alert alert-block fade in">
                <p><?php _e($pixia_frontend_options['comments_closed'], 'pixia'); ?></p>
            </div>
        </section><!-- /#comments -->
    <?php }
    if (comments_open()) {
        ?>
        <section id="respond">
            <h3><header_font>
                    <?php
                    comment_form_title($pixia_frontend_options['comments_leave_reply'], $pixia_frontend_options['comments_leave_reply'].' to %s');
                    ?>
                </header_font></h3>
            <div class="simple_line_onbg"></div>
            <p class="cancel-comment-reply"><?php cancel_comment_reply_link(__('Click here to cancel reply', 'pixia')); ?></p>
            <?php
            if (get_option('comment_registration') && !is_user_logged_in())
            {
                ?>
                <p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'pixia'), wp_login_url(get_permalink())); ?></p>
                <?php
            }
            else {
                $pixia_theme_req = get_option('require_name_email');
                $pixia_theme_aria_req = ($pixia_theme_req ? " aria-required='true'" : '');
                $pixia_theme_place_req = ($pixia_theme_req ? $pixia_frontend_options['required_text'] : '');
                $consent = empty($commenter['comment_author_email']) ? '' : ' checked="checked"';
                $fields = array(
                    'author' =>
                        '<div class="row"><div class="four columns">
<div class="tr_wrapper pixia_user">
                            <div class="submenu_ct_man pirenko_tinted">
                                <i class="clearer_inactive_color pixia_fa-user"></i>
                            </div>
                        </div>
                                    <input type="text" class="text pirenko_highlighted boxed_shadow" name="author" id="author" size="22" tabindex="1"' . esc_attr($pixia_theme_aria_req) . ' placeholder="' . esc_attr($pixia_frontend_options['comments_author_text']) . esc_attr($pixia_theme_place_req) . '" />
							  	</div>',

                    'email' =>
                        '<div class="four columns">
<div class="tr_wrapper">
                                    <div class="submenu_ct_man pirenko_tinted">
                                        <i class="clearer_inactive_color pixia_fa-envelope"></i>
                                    </div>
                                </div>
                                    <input type="email" class="text pirenko_highlighted boxed_shadow" name="email" id="email" size="22" tabindex="2"' . esc_attr($pixia_theme_aria_req) . ' placeholder="' . esc_attr($pixia_frontend_options['comments_email_text']) . esc_attr($pixia_theme_place_req) . '"  />
                                </div>',

                    'url' =>
                        '<div class="four columns">
                                <div class="tr_wrapper pixia_url">
                                    <div class="submenu_ct_man pirenko_tinted">
                                        <i class="clearer_inactive_color pixia_fa-map-marker"></i>
                                    </div>
                                </div>
                                <input type="url" class="text pirenko_highlighted boxed_shadow" name="url" id="url" size="22" tabindex="3"
                                       placeholder="' . __($pixia_frontend_options['comments_url_text'], 'pixia') . '" />
                            </div>
                                </div>',
                    'cookies' => '<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .
                        '<label for="wp-comment-cookies-consent">' . __('Save my name, email, and website in this browser for the next time I comment.', 'pixia') . '</label></p>',
                );
                $args_form = array(
                    'id_form' => 'commentform',
                    'class_form' => 'comment-form prk_theme_form',
                    'id_submit' => 'submit_comment_div',
                    'class_submit' => 'theme_button_inverted',
                    'name_submit' => 'submit',
                    'title_reply' => '',
                    'title_reply_to' => esc_html__('Leave a Reply to %s', 'pixia'),
                    'cancel_reply_link' => esc_html__('Cancel Reply', 'pixia'),
                    'title_reply_before' => '<div id="reply-title" class="comment-reply-title">',
                    'title_reply_after' => '</div>',
                    'label_submit' => $pixia_frontend_options['comments_submit'],
                    'format' => 'xhtml',
                    'submit_button' => '<div id="comment_form_messages" class="cf">' . __($pixia_frontend_options['contact_wait_text'], 'pixia') . '...</div>
                    <div class="clearfix"> </div>
                    <div id="submit_comment_div" class="theme_button_inverted">
                        <a href="#">' . __($pixia_frontend_options['comments_submit'], 'pixia') . '</a>
                    </div>',
                    'comment_field' => '<textarea name="comment" id="comment" class="input-xlarge pirenko_highlighted boxed_shadow" tabindex="4" rows="6" placeholder="' . __($pixia_frontend_options['comments_comment_text'], 'pixia') . '"></textarea>',
                    'must_log_in' => '<p class="must-log-in">' .
                        sprintf(
                            wp_kses(__('You must be <a href="%s">logged in</a> to post a comment.', 'pixia'), array('a' => array('href' => array()))),
                            wp_login_url(apply_filters('the_permalink', get_permalink()))
                        ) . '</p>',
                    'logged_in_as' => '<p class="logged-in-as not_zero_color">' .
                        sprintf(
                            wp_kses(__('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'pixia'), array('a' => array('href' => array()))),
                            admin_url('profile.php'),
                            $user_identity,
                            wp_logout_url(apply_filters('the_permalink', get_permalink()))
                        ) . '</p>',
                    'comment_notes_before' => '',
                    'comment_notes_after' => '',
                    'fields' => apply_filters('comment_form_default_fields', $fields),
                );
                comment_form($args_form);
                ?>
                </section>
                <div class="clearfix"></div>
                <?php
            }
    }
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function()
        {
            var wordpress_directory = '<?php echo get_option('siteurl'); ?>';
            var empty_text_error = '<?php _e($pixia_frontend_options['empty_text_error'], 'pixia'); ?>';
            var invalid_email_error = '<?php _e($pixia_frontend_options['invalid_email_error'], 'pixia'); ?>';
            var comment_ok_message = '<?php _e($pixia_frontend_options['comment_ok_message'], 'pixia'); ?>';
            var already_submitted_comment=false;
            jQuery('#commentform textarea, #author, #email').focus(function ()
            {
                jQuery("#comment_form_messages").hide("slow");
            });
            jQuery('#submit_comment_div a').click(function(e)
            {
                empty_error = '<p class="comment_error">' + empty_text_error + '</p>';
                email_error = '<p class="comment_error">' + invalid_email_error + '</p>';
                e.preventDefault();
                error = false;
                emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
                if (already_submitted_comment==false)
                {
                    jQuery("#comment_form_messages .comment_error").remove();
                    //DATA VALIDATION
                    jQuery('#commentform textarea, #author, #email').each(function()
                    {

                        value = jQuery(this).val();
                        theID = jQuery(this).attr('id');

                        if(value == '' && error==false)
                        {
                            jQuery('#comment_form_messages').html('');
                            jQuery('#comment_form_messages').append(empty_error);
                            error = true;
                        }
                        if(theID == 'email' && value != '' && !emailReg.test(value) && error==false)
                        {
                            jQuery('#comment_form_messages').html('');
                            jQuery('#comment_form_messages').append('<p class="comment_error">'+email_error+'</p>');
                            error = true;
                        }

                    });
                    //SEND COMMENT IF THERE ARE NO ERRORS
                    if(error == false)
                    {
                        jQuery("#comment_form_messages").css({'display':'inline-block'});
                        //POST COMMENT
                        jQuery.ajax({
                            type: "POST",
                            url: wordpress_directory+"/wp-comments-post.php",
                            data: jQuery("#commentform").serialize(),
                            success: function(resp)
                            {
                                jQuery('#comment_form_messages').html('');
                                jQuery('#comment_form_messages').append('<p class="comment_error">'+comment_ok_message+'</p>');
                                jQuery("#comment_form_messages").css({'display':'inline-block'});
                                already_submitted_comment=true;
                            },
                            error: function(e)
                            {
                                jQuery('#comment_form_messages').html('');
                                jQuery('#comment_form_messages').append('<p class="comment_error">Comment error. Please try again!</p>');
                                jQuery("#comment_form_messages").css({'display':'inline-block'});
                            }
                        });
                    }
                    else
                    {
                        jQuery("#comment_form_messages").css({'display':'inline-block'});

                    }
                }
                else
                {

                }
            });
        });

    </script>